package com.sunxung.factoring.entity.purchcontractmanagement.vo;

/**
 * @Description 采购合同
 * @Author Yafan Wang
 * @Date 2023/12/19 14:23
 */
public class PurchContractCompletedVo {

    private Long purchContractId;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 业务编号
     */
    private String businessNumber;

    /**
     * 核心企业Id
     **/
    private Long coreEnterpriseId;

    /**
     * 核心企业名称
     */
    private String coreEnterpriseName;

    /**
     * 主企业Id
     **/
    private Long mainEnterpriseId;

    /**
     * 供应商Id
     */
    private Long supplierId;

    /**
     * 主企业（供应商）名称
     **/
    private String mainEnterpriseName;

    /**
     * 贸易平台Id
     **/
    private String platformId;

    /**
     * 贸易平台名称
     **/
    private String platformName;

    /**
     * 采购合同名称
     */
    private String purchContractName;

    /**
     * 采购合同编号
     */
    private String purchContractNumber;

    private Long cPurchContractBasicInfoId;

    private String operatorSupplier;

    public Long getPurchContractId() {
        return purchContractId;
    }

    public void setPurchContractId(Long purchContractId) {
        this.purchContractId = purchContractId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Long getCoreEnterpriseId() {
        return coreEnterpriseId;
    }

    public void setCoreEnterpriseId(Long coreEnterpriseId) {
        this.coreEnterpriseId = coreEnterpriseId;
    }

    public String getCoreEnterpriseName() {
        return coreEnterpriseName;
    }

    public void setCoreEnterpriseName(String coreEnterpriseName) {
        this.coreEnterpriseName = coreEnterpriseName;
    }

    public Long getMainEnterpriseId() {
        return mainEnterpriseId;
    }

    public void setMainEnterpriseId(Long mainEnterpriseId) {
        this.mainEnterpriseId = mainEnterpriseId;
    }

    public String getMainEnterpriseName() {
        return mainEnterpriseName;
    }

    public void setMainEnterpriseName(String mainEnterpriseName) {
        this.mainEnterpriseName = mainEnterpriseName;
    }

    public String getPlatformId() {
        return platformId;
    }

    public void setPlatformId(String platformId) {
        this.platformId = platformId;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPurchContractName() {
        return purchContractName;
    }

    public void setPurchContractName(String purchContractName) {
        this.purchContractName = purchContractName;
    }

    public String getPurchContractNumber() {
        return purchContractNumber;
    }

    public void setPurchContractNumber(String purchContractNumber) {
        this.purchContractNumber = purchContractNumber;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getcPurchContractBasicInfoId() {
        return cPurchContractBasicInfoId;
    }

    public void setcPurchContractBasicInfoId(Long cPurchContractBasicInfoId) {
        this.cPurchContractBasicInfoId = cPurchContractBasicInfoId;
    }

    public String getOperatorSupplier() {
        return operatorSupplier;
    }

    public void setOperatorSupplier(String operatorSupplier) {
        this.operatorSupplier = operatorSupplier;
    }
}
